Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.io
Interface Connection

All Known Subinterfaces:
  WebSocketConnection

All Known Implementing Classes:
  Ajp13Connection, ConnectHandler.ClientToProxyConnection, ConnectHandler.ProxyToServerConnection, HttpConnection, HttpConnection, WebSocketConnectionD00

    public interface Connection

Abstract Connection used by Jetty Connectors.

Jetty will call the handle method of a connection when there is work to be done on the connection. For blocking connections, this is soon as the connection is open and handle will keep being called until the connection is closed. For non-blocking connections, handle will only be called if there are bytes to be read or the connection becomes writable after being write blocked.

See Also:
  `SelectorManager`

Method Summary
`void` | `closed()`
`long` | `getTimeStamp()`
`Connection` | `handle()` Handle the connection.
`boolean` | `isIdle()`
`boolean` | `isSuspended()`

Method Detail

### handle

    Connection handle()
                      throws java.io.IOException

  Handle the connection.

  Returns:
    The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
  Throws:
    `java.io.IOException`

### getTimeStamp

    long getTimeStamp()

### isIdle

    boolean isIdle()

### isSuspended

    boolean isSuspended()

### closed

    void closed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.